Skip to main content

Update an enterprise role

PATCH 

/nevisidm/api/core/v1/:clientExtId/eroles/:extId

Since: 2.75.2, 2.76.0

Required permission(s): AccessControl.EnterpriseRoleView,AccessControl.EnterpriseRoleModify

Partially updates the enterprise role with the given external ID within the specified client. Only provided fields will be updated. Fields not included in the request body remain unchanged.

The name, description, and language-dependent display names can be modified. The external ID cannot be changed after creation.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    extId stringrequired

    External ID of the enterprise role to update.

    Example: erole-123

Body

required
    name string

    The name of the enterprise role.

    description string

    The textual description of the enterprise role.

    displayName object

    The language-dependent display name of the enterprise role. Keys: EN, DE, FR, IT.

    property name* string
    version int32

    The version used for optimistic locking.

Responses

Enterprise role updated successfully

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the enterprise role.

    clientExtId string

    The external ID of the client to which the enterprise role belongs.

    name string

    The name of the enterprise role.

    description string

    The textual description of the enterprise role.

    displayName object

    The language-dependent name of the enterprise role. Keys: EN, DE, FR, IT.

    property name* string
Loading...